import request from "@/utils/request";

export function addTechResources(params) {
    return request({
        url: "/api/v1/evm_store/techResources/add",
        method: "post",
        data: params,
    });
}

export function getTechResourcesList(params) {
    return request({
        url: "/api/v1/evm_store/techResources/list",
        method: "post",
        data: params,
    });
}

export function updateTechResource(id, params) {
    return request({
        url: `/api/v1/evm_store/techResources/update/${id}`,
        method: "post",
        data: params,
    });
}

export function deleteTechResource(id, params) {
    return request({
        url: `/api/v1/evm_store/techResources/delete/${id}`,
        method: "post",
        data: params,
    });
}